Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Google Drive

  1. #1
    Join Date
    Apr 2013
    Location
    Sydney, AU
    Posts
    227

    Default Google Drive

    Really do need an interface to Google Drive (ala Dropbox) ... i see there are some unofficial packages here .. but they leave me confused. Are they separate items or dependently inclusive? I see one says that it failed to build!!??

    In the official OpenSuse repo i see three entries for 'google drive' .. but none of the descriptions fill me with confidence.

    If anyone has been able to find a solid stable solution i would be most appreciative of the advice.

    Thanks.
    openSUSE Leap 15.0 | KDE Plasma 5.12.6 | Frameworks 5.45.0 | Qt 5.9.4 | Kernel 4.12.14-lp150.12.25-default | Procs 4 x i5-2500 CPU @ 3.3.GHz | 15.6 GiB RAM | 4 Monitors

  2. #2
    Join Date
    Apr 2013
    Location
    Sydney, AU
    Posts
    227

    Default Re: Google Drive

    I found this version that would suit my needs ... google-drive-ocamlfuse .... however, it does not have an OpenSuse15 repo ...

    it is here ...

    Code:
    "http://download.opensuse.org/repositories/home:/frispete:/ocaml/openSUSE_Leap_42.3/"
    Probably a silly question, but is it safe to use a 42.3 repo for OpenSuse 15???
    openSUSE Leap 15.0 | KDE Plasma 5.12.6 | Frameworks 5.45.0 | Qt 5.9.4 | Kernel 4.12.14-lp150.12.25-default | Procs 4 x i5-2500 CPU @ 3.3.GHz | 15.6 GiB RAM | 4 Monitors

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    23,782

    Default Re: Google Drive

    Quote Originally Posted by griadooss View Post

    Probably a silly question, but is it safe to use a 42.3 repo for OpenSuse 15???
    Depends on your definitions of "safe". I do not think it is a security issue, it is simply a case of does it "work" or not. It could function, but as it is not build against 15.0, you never know.

    Better ask the maintainer to build it for 15.0.
    Henk van Velden

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,748
    Blog Entries
    14

    Default Re: Google Drive

    Quote Originally Posted by hcvv View Post
    Depends on your definitions of "safe". I do not think it is a security issue, it is simply a case of does it "work" or not. It could function, but as it is not build against 15.0, you never know.

    Better ask the maintainer to build it for 15.0.
    Another option you have, is to use your credentials to login on build.opensuse.org, branch the package and build it yourself for 15.0
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5
    Join Date
    Apr 2013
    Location
    Sydney, AU
    Posts
    227

    Default Re: Google Drive

    Quote Originally Posted by Knurpht View Post
    Another option you have, is to use your credentials to login on build.opensuse.org, branch the package and build it yourself for 15.0

    Really?? This sounds interesting!

    I logged in but have no idea how to go about 'branching and building myself' ... but no pain no gain they say

    If not too much trouble ... can you help get me started perhaps???

    Thanks!
    openSUSE Leap 15.0 | KDE Plasma 5.12.6 | Frameworks 5.45.0 | Qt 5.9.4 | Kernel 4.12.14-lp150.12.25-default | Procs 4 x i5-2500 CPU @ 3.3.GHz | 15.6 GiB RAM | 4 Monitors

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,989
    Blog Entries
    15

    Default Re: Google Drive

    Quote Originally Posted by griadooss View Post
    Really?? This sounds interesting!

    I logged in but have no idea how to go about 'branching and building myself' ... but no pain no gain they say :beat-up:

    If not too much trouble ... can you help get me started perhaps???

    Thanks!
    Hi
    This should get you going...
    https://en.opensuse.org/openSUSE:Build_Service_Tutorial

    I use the command line tool on my local computer to all building/testing and then upload to OBS;
    https://en.opensuse.org/openSUSE:OSC
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  7. #7
    Join Date
    Apr 2013
    Location
    Sydney, AU
    Posts
    227

    Default Re: Google Drive

    Quote Originally Posted by Knurpht View Post
    Another option you have, is to use your credentials to login on build.opensuse.org, branch the package and build it yourself for 15.0
    Unfortunately ....

    Code:
    $ osc build openSUSE_Leap_15.0 x86_64 google-drive-ocamlfuse.spec
    
    openSUSE_Leap_15.0 is not a valid repository, use one of: openSUSE_13.2, openSUSE_Leap_42.1, openSUSE_Leap_42.3, openSUSE_Tumbleweed       
          
    
    ... is that the final word, or is there something that can be done about it??
    openSUSE Leap 15.0 | KDE Plasma 5.12.6 | Frameworks 5.45.0 | Qt 5.9.4 | Kernel 4.12.14-lp150.12.25-default | Procs 4 x i5-2500 CPU @ 3.3.GHz | 15.6 GiB RAM | 4 Monitors

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,748
    Blog Entries
    14

    Default Re: Google Drive

    Eh, a look at https://software.opensuse.org/packag...rive-ocamlfuse that there are also experimental packages for Leap 15. Use at own risk.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,989
    Blog Entries
    15

    Default Re: Google Drive

    Quote Originally Posted by griadooss View Post
    Unfortunately ....

    Code:
    $ osc build openSUSE_Leap_15.0 x86_64 google-drive-ocamlfuse.spec
    
    openSUSE_Leap_15.0 is not a valid repository, use one of: openSUSE_13.2, openSUSE_Leap_42.1, openSUSE_Leap_42.3, openSUSE_Tumbleweed       
          
    
    ... is that the final word, or is there something that can be done about it??
    Hi
    If you branched the project, you need to go into the 'repositories' tab on the web UI and add the repository if it doesn't exist.

    Do you have a link to your project?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  10. #10
    Join Date
    Apr 2013
    Location
    Sydney, AU
    Posts
    227

    Default Re: Google Drive

    Quote Originally Posted by malcolmlewis View Post
    Hi
    If you branched the project, you need to go into the 'repositories' tab on the web UI and add the repository if it doesn't exist.

    Do you have a link to your project?

    Well .... i followed the tute and substituted the ocaml project for the example given .. yes, it is branched locally .... I have since added the 15.0 repo at the web UI as you suggest but when i re-run the build command locally i get the same result. I suppose i should branch it again???

    A link to MY project?? ... hmmm, well all i have is the default "Home Title Description" project on the web UI that was a result of following the tute .. so looks like i am missing an important step here somewhere?!? ... but instead of guessing i will await your sage reply.
    openSUSE Leap 15.0 | KDE Plasma 5.12.6 | Frameworks 5.45.0 | Qt 5.9.4 | Kernel 4.12.14-lp150.12.25-default | Procs 4 x i5-2500 CPU @ 3.3.GHz | 15.6 GiB RAM | 4 Monitors

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •